uniform vec3 shreddir;

varying vec3 normal;
varying vec3 look;
varying float shredpos;
varying float dist;
varying vec3 opos;
varying vec4 col;

void main() {  
  vec4 pos = gl_ModelViewMatrix*gl_Vertex;

  col = gl_Color;
  opos=gl_Vertex.xyz;
  gl_TexCoord[0] = gl_TextureMatrix[0]*gl_MultiTexCoord0;
  normal = normalize(gl_NormalMatrix*gl_Normal);
  look = normalize(vec3(pos));
	dist = -pos.z;
  shredpos = (pos.x*shreddir.x+pos.y*shreddir.y+pos.z*shreddir.z)*0.1;
  
	gl_Position = ftransform();
}
